wibble::MorphBase< W, Interface > Struct Template Reference

`#include <amorph.h>`

Inheritance diagram for wibble::MorphBase< W, Interface >:
[legend]
Collaboration diagram for wibble::MorphBase< W, Interface >:
[legend]

## Public Member Functions

| MorphBase (const W &w)
template<typename _W >
EnableIf< IsPolymorphic< _W >, VirtualBase * >::T | virtualBase ()
template<typename _W >
EnableIf< TNot< IsPolymorphic< _W > >, VirtualBase * >::T | virtualBase ()
virtual VirtualBase * | virtualBase ()
W & | wrapped ()
Public Member Functions inherited from wibble::MorphInterface< Interface >
virtual MorphInterface * | constructCopy (void *where=0, unsigned int available=0) const =0
virtual void | destroy (unsigned int available=0)=0
virtual | ~MorphInterface ()
virtual bool | leq (const MorphInterface *) const =0

## Protected Attributes

W | m_wrapped

## Constructor & Destructor Documentation

template<typename W, typename Interface>

wibble::MorphBase< W, Interface >::MorphBase | ( | const W & | w | ) |

inline

## Member Function Documentation

template<typename W, typename Interface>
template<typename _W >

EnableIf< IsPolymorphic< _W >, VirtualBase *>::T wibble::MorphBase< W, Interface >::virtualBase | ( |  | ) |

inline virtual

Reimplemented from wibble::MorphInterface< Interface >.

template<typename W, typename Interface>
template<typename _W >

EnableIf< TNot< IsPolymorphic< _W > >, VirtualBase *>::T wibble::MorphBase< W, Interface >::virtualBase | ( |  | ) |

inline virtual

Reimplemented from wibble::MorphInterface< Interface >.

template<typename W, typename Interface>

virtual VirtualBase* wibble::MorphBase< W, Interface >::virtualBase | ( |  | ) |

inline virtual

Reimplemented from wibble::MorphInterface< Interface >.

template<typename W, typename Interface>

W& wibble::MorphBase< W, Interface >::wrapped | ( |  | ) |

inline

Referenced by wibble::Amorph< Range< T >, RangeInterface< T > >::impl().

## Member Data Documentation

template<typename W, typename Interface>

W wibble::MorphBase< W, Interface >::m_wrapped

protected

Referenced by wibble::MorphBase< W, ConsumerInterface< T > >::virtualBase(), wibble::MorphBase< W, ConsumerInterface< T > >::wrapped(), and wibble::Morph< IteratorMorph< T, W >, W, IteratorInterface< T > >::wrapped().

The documentation for this struct was generated from the following file:

- amorph.h